Reply to topic

Installed Plasma 5.5 but only the original Plasma 4.1 runs

tcipollone
Registered Member
Posts
12
Karma
0
Hi to this forum,

I am running the KDE spin of Fedora 23. When I run the Konquerer browser, "help" shows that KDE 4.14.17 is running.

I have installed the newest KDE environment.

Code: Select all
$sudo dnf group install kde-desktop-environment


I checked to see if plasma-desktop-5.5 is loaded, and it appears to be.

Code: Select all
$rpm -q plasma-desktop
plasma-desktop-5.5.5-1.fc23.x86_64


I have also created the /etc/sysconfig/desktop file and entered:

Code: Select all
DISPLAYMANAGER="KDE"


Finally, I have loaded and installed KDM, the KDE desktop manager.

When I type

Code: Select all
sudo kdm


I get nothing at the terminal but I expect that kdm is working in the background.

When I reboot and see the login manager, I get the opportunity to select "plasma" but the old plasma, 4.1 comes up.

How can i get the new Plasma 5.5. to come up instead? Do I need to uninstall the previous KDE?

I expect that I am a short configuration issue away from running Plasma 5.5.


Also, there is one more thing. I can add virtual desktops but in the "system settings" dialog "Desktop Effects" there is no "desktop cube" option. Why is that?


Thank You
Tom
User avatar google01103
Manager
Posts
6668
Karma
25
2nd Konqueror has not been ported so gonna guess that because its not ported it is using the installed 4 libs and thus the statement you are running 4 (note: it says KDE 4, not Plasma 4). What does Kate help say is running?

3rd if you open kinfocenter you will see what version of Plasma is running, does it show Plasma 5?

4th KDM could be a Fedora bug if Kinfocenter states 5, if so then you should contact them

5th no idea about cube, it is part of the Kwin5 pkg (at least in my distro) check the package contents to see if listed - also look to see if it exists /usr/lib64/qt5/plugins/kwin/effects/configs/kwin_cube_config.so.

moved to Plasma 5 forum


OpenSuse Leap 42.1 x64, Plasma 5.x

User avatar google01103
Manager
Posts
6668
Karma
25
maybe there's issues with the Fedora spin http://forums.fedoraforum.org/showthread.php?p=1757100


OpenSuse Leap 42.1 x64, Plasma 5.x

tcipollone
Registered Member
Posts
12
Karma
0
google01103 wrote:2nd Konqueror has not been ported so gonna guess that because its not ported it is using the installed 4 libs and thus the statement you are running 4 (note: it says KDE 4, not Plasma 4). What does Kate help say is running?

3rd if you open kinfocenter you will see what version of Plasma is running, does it show Plasma 5?

4th KDM could be a Fedora bug if Kinfocenter states 5, if so then you should contact them

5th no idea about cube, it is part of the Kwin5 pkg (at least in my distro) check the package contents to see if listed - also look to see if it exists /usr/lib64/qt5/plugins/kwin/effects/configs/kwin_cube_config.so.

moved to Plasma 5 forum



Wow, you were correct about a couple of things.

First, I did open kinfocenter and it did say that I was running KDE Plasma 5.5.5! So, it is there after all.

Second, I checked /usr/lib64/qt5/plugins/kwin/effects/configs to see if kwin_cube_config.so was there and it was! However, in my "system settings" dialog, under "desktop effects", I do not see "desktop cube" as an option. Under "virtual desktops", I do see under "animation" "Desktop cube animation".

So, my guess is that for some reason, although I have the capability, Desktop Cube is not enabled, ie, the .so is never called. Ideas on that?

Thank You
Tom

So, in terms of the cube, it comes down to me not being able to invoke it.
User avatar google01103
Manager
Posts
6668
Karma
25
tcipollone wrote:So, my guess is that for some reason, although I have the capability, Desktop Cube is not enabled, ie, the .so is never called. Ideas on that?

Thank You
Tom

So, in terms of the cube, it comes down to me not being able to invoke it.

my guess is ita a Fedora issue, see my earlier post with the link

you can try enabling itmanually, add the line
Code: Select all
cubeEnabled=true
to file=~/.confi/kwinrc section=[Plugins]


OpenSuse Leap 42.1 x64, Plasma 5.x


 
Reply to topic

Bookmarks



Who is online

Registered users: alfredod, Baidu [Spider], Bing [Bot], crozbo, dmiroshnichenko, Exabot [Bot], Google [Bot], jackdinn, Majestic-12 [Bot], nazarnirvana, nocin, paviluf, Sogou [Bot], subGlitch, Yahoo [Bot]